@echo off

rem This sets the paths for DMC to use... Temporary, for Linux. :)

set path=c:\dm\bin;c:\windows\system32;c:\windows;c:\windows\command;c:\winnt\system32;c:\winnt;c:\winnt\command
set lib=c:\dm\lib
set include=c:\dm\include


echo Lib is [%lib%] Include is [%include%] Path is [%path%]

rem This compiles for Linux. It compiles DWNoctis.exe WITHOUT linking in DDRAW.

echo Compiling debug version of WNoctis...
dmc.exe -D -L/co/DETAILEDMAP/LINENUMBERS -oDWnoctis.exe -DALL -DWINDOWS -DDEBUG -D -g -s noctis.cpp randalg.cpp noctis-0.cpp noctis-1.cpp noctis-2.cpp win.cpp noctis-ng.cpp mt.cpp dnoctis.def gdi32.lib shell32.lib -mn -5 -L/DELEXECUTABLE

if exist DWNoctis.exe goto good
goto end
:good
copy DWNoctis.exe "..\DWNoctis.exe" /y
copy DWNoctis.map "..\DWNoctis.map" /y
del *.obj
del DWNoctis.exe
:end
pause
